Ticket #48 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

Inaccurate determination of process elevation

Reported by: Joel Owned by: Joel
Priority: major Milestone: Eraser 5.8.7
Component: Version: 5.8.6a
Keywords: Cc:
Processor Architecture: Blocked By:
Blocking: Operating System:

Blocking

IdSummaryMilestone
#48Inaccurate determination of process elevationEraser 5.8.7

Blocked by

IdSummaryMilestone
#48Inaccurate determination of process elevationEraser 5.8.7

Change History

comment:1 Changed 6 years ago by Joel

  • Status changed from new to assigned
  • Milestone set to Eraser 5.87

comment:2 Changed 6 years ago by Joel

  • Status changed from assigned to closed
  • Resolution set to fixed

Okay, I think the main issue is that users think the elevated process will replace the old standard process. So I've coded a instance checker that is able to determine if the other process is elevated. If the current process is running at a higher privilege level, then the user is asked to terminate the other process and let the current elevated process replace the other one.

Fixed in r398.

Note: See TracTickets for help on using tickets.